export default Scene;
declare class Scene extends ThreeScene {
    constructor(options?: {});
    vizWrapper: Group;
    stats: any;
    initLights(): void;
    initGrid(): void;
    grid: GridHelper | undefined;
    addObject(object: any): void;
    addVisualization({ object }: {
        object: any;
    }): void;
    getObjectByName(name: any): import("three").Object3D | undefined;
    updateOptions(options: any): void;
    options: any;
    applyQuaternion(quaternion: import("three").Quaternion): Scene;
    rotateOnAxis(axis: import("three").Vector3, angle: number): Scene;
    rotateOnWorldAxis(axis: import("three").Vector3, angle: number): Scene;
    rotateX(angle: number): Scene;
    rotateY(angle: number): Scene;
    rotateZ(angle: number): Scene;
    translateOnAxis(axis: import("three").Vector3, distance: number): Scene;
    translateX(distance: number): Scene;
    translateY(distance: number): Scene;
    translateZ(distance: number): Scene;
    add(...object: import("three").Object3D[]): Scene;
    remove(...object: import("three").Object3D[]): Scene;
    attach(object: import("three").Object3D): Scene;
    clone(recursive?: boolean | undefined): Scene;
    copy(source: Scene, recursive?: boolean | undefined): Scene;
}
import { Scene as ThreeScene } from "three/src/scenes/Scene";
import { Group } from "three/src/objects/Group";
import { GridHelper } from "three/src/helpers/GridHelper";
